File: changelog

package info (click to toggle)
node-iconv 2.3.5-5
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 5,836 kB
  • sloc: ansic: 90,565; javascript: 429; cpp: 106; makefile: 7
file content (160 lines) | stat: -rw-r--r-- 4,511 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
node-iconv (2.3.5-5) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * Fix test for glibc ≥ 2.31-5 (Closes: #976409)
  * Apply multi-arch hints (same)

 -- Xavier Guimard <yadd@debian.org>  Sat, 05 Dec 2020 08:58:20 +0100

node-iconv (2.3.5-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Submit.

  [ Xavier Guimard ]
  * Remove dependency to nodejs and add build dependency to nodejs ≥ 12
    (Closes: #963039)

 -- Xavier Guimard <yadd@debian.org>  Sat, 20 Jun 2020 08:16:17 +0200

node-iconv (2.3.5-3) unstable; urgency=medium

  * Team upload
  * Rebuild due to #950151 (fixes debci for reverse dependencies on i386 arch)
  * Declare compliance with policy 4.5.0
  * Don't override 'files' field

 -- Xavier Guimard <yadd@debian.org>  Fri, 31 Jan 2020 16:25:57 +0100

node-iconv (2.3.5-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Remove minimum version for nodejs
  * Fix tests

 -- Xavier Guimard <yadd@debian.org>  Sat, 26 Oct 2019 10:51:25 +0200

node-iconv (2.3.5-1) experimental; urgency=medium

  * Team upload
  * New upstream version 2.3.5
  * Refresh patches
  * Build using node >= 12.10.0

 -- Xavier Guimard <yadd@debian.org>  Mon, 21 Oct 2019 19:45:49 +0200

node-iconv (2.3.2-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Update debian/copyright
  * Switch test and install to pkg-js-tools (fix install path)

 -- Xavier Guimard <yadd@debian.org>  Mon, 21 Oct 2019 19:30:03 +0200

node-iconv (2.3.2-1) unstable; urgency=medium

  * New upstream version 2.3.2
  * Patch to directly use Buffer instead of unavailable safer-buffer
  * Update Vcs-* fields
  * dh 10 knows how to deal with *.node files
  * Build-Depends libnode-dev
  * node-gyp >= 3.8.0-2 to correctly link against libnode
  * Drop patch that renames node to nodejs
  * Remove dh_nodejs
  * Hardening flag
  * DEB_BUILD_OPTIONS nocheck test
  * Port glibc-iconv patch to new version
  * Watch https
  * Run test suite from autopkgtest (Closes: #874022)
  * Standards-Version 4.3.0

 -- Jérémy Lal <kapouer@melix.org>  Sun, 06 Jan 2019 22:13:50 +0100

node-iconv (2.3.0-3) unstable; urgency=medium

  * Team upload
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Jan 2018 00:10:54 +0530

node-iconv (2.3.0-2) experimental; urgency=medium

  * Section: javascript
  * Priority: optional

 -- Jérémy Lal <kapouer@melix.org>  Fri, 29 Dec 2017 10:54:57 +0100

node-iconv (2.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Sep 2017 11:49:59 +0530

node-iconv (2.2.1-3) unstable; urgency=medium

  * Drop dependency on libc6-dev (Closes: #866732)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 01 Jul 2017 12:09:32 +0200

node-iconv (2.2.1-2) unstable; urgency=medium

  * Latest libc6 version fix all translit bugs and with it,
    node-iconv pass all its tests:
    + update patch accordingly
    + Build-Depends libc6-dev >= 2.24-4
    Closes: #837285.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 16 Oct 2016 22:52:37 +0200

node-iconv (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1
  * Standards-Version 3.9.8
  * Secure Vcs-* url
  * Closes: #837285

 -- Jérémy Lal <kapouer@melix.org>  Sat, 08 Oct 2016 19:34:17 +0200

node-iconv (2.1.11-1) unstable; urgency=medium

  * Imported Upstream version 2.1.11
  * Refresh patches
  * Use dh_nodejs

 -- Jérémy Lal <kapouer@melix.org>  Mon, 26 Oct 2015 18:12:24 +0100

node-iconv (2.1.10-1) unstable; urgency=medium

  * Imported Upstream version 2.1.10 (Closes: #798439)
  * Refresh glibc patch

 -- Jérémy Lal <kapouer@melix.org>  Wed, 09 Sep 2015 13:07:10 +0200

node-iconv (2.1.8-1) unstable; urgency=medium

  * Imported Upstream version 2.1.8 (Closes: #788696)
  * Build-Depends node-nan >= 1.8
  * Standards-Version 3.9.6
  * Update glibc patch to remove tests for non-supported codepages
    CP853, CP858, CP943.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 14 Jun 2015 21:33:21 +0200

node-iconv (2.1.4-1) unstable; urgency=low

  * Initial release (Closes: #667484)

 -- Jérémy Lal <kapouer@melix.org>  Tue, 17 Jun 2014 01:17:33 +0200